<div class="d-flex align-items-center justify-content-between">
  <h1 class="m-0">Tasks</h1>
  <div>
    <%= link_to 'Create task', new_task_path, class: 'btn btn-primary' %>
  </div>
</div>
<table class="table table-striped table-hover mt-5">
  <thead>
  <tr>
    <th scope="col">#</th>
    <th scope="col">Title</th>
    <th scope="col">Status</th>
    <th scope="col">Creator</th>
    <th scope="col">Performer</th>
    <th scope="col">Completed</th>
    <th scope="col" class="text-end">Actions</th>
  </tr>
  </thead>
  <tbody>
  <% @tasks.each do |task| %>
    <tr>
      <td><%= task.id %></td>
      <td><%= link_to task.name, task_path(task) %></td>
      <td><span class="badge bg-secondary"><%= task.status %></span></td>
      <td><%= task.creator %></td>
      <td><%= task.performer %></td>
      <td><span class="badge <%= task.completed ? 'bg-success' : 'bg-danger' %>"><%= task.completed ? 'Yes' : 'No' %></span></td>
      <td class="text-end">
        <%= link_to 'Edit', edit_task_path(task), class: 'btn btn-sm btn-success' %>
        <%= link_to 'Delete', task_path(task), method: :delete, data: { confirm: 'Are your sure?' }, class: 'btn btn-sm btn-danger' %>
      </td>
    </tr>
  <% end %>
  </tbody>
</table>